Page MenuHomePhabricator

disable qubes.SetDateTime / qubes.SyncNtpClock in Qubes-Whonix VMs
Closed, ResolvedPublic

Description

Interferes with the rationale of https://www.whonix.org/wiki/Dev/TimeSync.

Details

Impact
High

Event Timeline

Patrick updated the task description. (Show Details)Jul 28 2015, 5:07 PM
Patrick added projects: Qubes, security, bug.
Patrick set Impact to High.
Patrick added subscribers: Patrick, nrgaway, marmarek.
Patrick created this task.
Patrick raised the priority of this task from to Needs Triage.
Patrick triaged this task as High priority.Aug 5 2015, 2:36 PM

Can you please give directions on how to do this? @marmarek

The easiest way is to remove ntpdate package. This will prevent
qubes.SyncNtpClock from working. We probably need to document it
somewhere (that Whonix-based VMs do not work as ClockVM, yet).

Later we may want to introduce alternative implementation[1], or some
plugin-based approach.

[1]
https://github.com/QubesOS/qubes-issues/issues/1102#issuecomment-128076754

Alright. For better understanding... I would be interested... Which script [in dom0?] dispatches qubes.SyncNtpClock? How is the hook defined/called inside VMs?

Dom0: /usr/bin/qvm-sunc-clock. Called from cron in dom0 every 6
minutes..

VM: /etc/qubes-rpc/qubes.SyncNtpClock ->
/usr/lib/qubes/sync-ntp-clock

dom0's /usr/bin/qvm-sync-clock dispatches:

  • ClockVMs /etc/qubes-rpc/qubes.SyncNtpClock
  • other VMs /etc/qubes-rpc/qubes.SetDateTime

(1) So I conclude, as a first step, we need to move /etc/qubes-rpc/qubes.SetDateTime (which is a script) out of the way. This can be done using config-package-dev displace or hide. Easy.

(2) As a second step, we also do not want dom0 telling Qubes-Whonix VMs the time. Because in case of a compromised Whonix VM, we do not want the adversary replace/restore that script. We need to stop dom0's /usr/bin/qvm-sync-clock from running that hook for Qubes-Whonix VMs. Apparently not easy. How can we do that?

  • Patch build process: Qubes-Whonix VMs get a special setting "no_qubes_set_date_time=true" or so during build.
  • Patch dom0 /usr/bin/qvm-sync-clock: When "no_qubes_set_date_time=true", don't run the qubes.SetDateTime hook.

Or do you have a simpler way in mind?

  • Patch build process: Qubes-Whonix VMs get a special setting "no_qubes_set_date_time=true" or so during build.

I think rather we should use mgmt stack for that. One day we'll have
single file with all the settings for Whonix. This would be much better
than the current installation method, which requires a lot of manual
configuration.

  • Patch dom0 /usr/bin/qvm-sync-clock: When "no_qubes_set_date_time=true", don't run the qubes.SetDateTime hook.

Or do you have a simpler way in mind?

I think something like this would work. I'd use qvm-service framework
for that instead of new custom setting. But that's just method of
storing such setting.

Would mgmt be capable to keep this setting applied for custom created
new Whonix VMs based on Qubes-Whonix templates?

Would mgmt be capable to keep this setting applied for custom created
new Whonix VMs based on Qubes-Whonix templates?

This is rather question to @nrgaway, but I think yes.

This comment was removed by nrgaway.

I am pretty sure that is a yes too :)

Patrick renamed this task from disable qubes.SyncNtpClock in Qubes-Whonix VMs to disable qubes.SetDateTime / qubes.SyncNtpClock in Qubes-Whonix VMs.Aug 14 2015, 5:30 PM
Patrick changed the task status from Open to Review.
In T384#6263, @Patrick wrote:

(1) So I conclude, as a first step, we need to move /etc/qubes-rpc/qubes.SetDateTime (which is a script) out of the way. This can be done using config-package-dev displace or hide. Easy.

(1) was implemented.

disabled qubes.SetDateTime ( we do not want dom0 to sync Qubes-Whonix VMs time as it interferes with Whonix's network time synchronization - https://phabricator.whonix.org/T384 ) and disabled qubes.SyncNtpClock ( Qubes-Whonix VMs can be used as a ClockVM yet - https://phabricator.whonix.org/T387 ):
https://github.com/Whonix/qubes-whonix/commit/90e8d65230d3c13823af56b91eb2f48eeaad49b4

I would appreciate a theoretic review. If these two stopgap replacement scripts are sane, because those exit 1.

Is that okay or do you foresee issues with that?

In T384#6263, @Patrick wrote:

(2) As a second step, we also do not want dom0 telling Qubes-Whonix VMs the time. Because in case of a compromised Whonix VM, we do not want the adversary replace/restore that script. We need to stop dom0's /usr/bin/qvm-sync-clock from running that hook for Qubes-Whonix VMs.

Created prevent dom0 telling Qubes-Whonix VMs the time T397 for it.

Patrick closed this task as Resolved.Aug 26 2015, 2:16 PM
Patrick claimed this task.
Patrick reopened this task as Open.Apr 21 2016, 7:49 PM

Perhaps the echo and exit 1 in qubes-rpc scripts is not sane and should be removed? @marmarek

sudo cat /var/log/syslog | grep -i 'qubes\.'
Apr 20 03:50:45 host kernel: [    0.000000] Linux version 4.1.13-9.pvops.qubes.x86_64 (user@release) (gcc version 4.8.3 20140911 (Red Hat 4.8.3-7) (GCC) ) #1 SMP Thu Feb 11 15:46:02 UTC 2016
Apr 20 03:50:45 host kernel: [    2.392996] usb usb1: Manufacturer: Linux 4.1.13-9.pvops.qubes.x86_64 dummy_hcd
Apr 20 03:50:46 host qrexec-agent[496]: executed user:QUBESRPC qubes.GetAppmenus dom0 pid 590
Apr 20 03:50:46 host qrexec-agent[496]: executed user:QUBESRPC qubes.GetImageRGBA dom0 pid 667
Apr 20 03:50:47 host qrexec-agent[496]: executed user:QUBESRPC qubes.GetImageRGBA dom0 pid 730
Apr 20 03:50:47 host qrexec-agent[496]: executed user:QUBESRPC qubes.GetImageRGBA dom0 pid 795
Apr 20 03:50:47 host qrexec-agent[496]: executed user:QUBESRPC qubes.GetImageRGBA dom0 pid 858
Apr 20 03:50:48 host qrexec-agent[496]: executed user:QUBESRPC qubes.GetImageRGBA dom0 pid 909
Apr 20 03:50:48 host qrexec-agent[496]: executed user:QUBESRPC qubes.GetImageRGBA dom0 pid 972
Apr 20 03:50:48 host qrexec-agent[496]: executed user:QUBESRPC qubes.GetImageRGBA dom0 pid 1034
Apr 20 03:50:48 host qrexec-agent[496]: executed user:QUBESRPC qubes.GetImageRGBA dom0 pid 1096
Apr 20 03:50:48 host qrexec-agent[496]: executed user:QUBESRPC qubes.GetImageRGBA dom0 pid 1159
Apr 20 03:50:48 host qrexec-agent[496]: executed user:QUBESRPC qubes.GetImageRGBA dom0 pid 1221
Apr 20 03:50:49 host qrexec-agent[496]: executed user:QUBESRPC qubes.GetImageRGBA dom0 pid 1283
Apr 20 03:50:49 host qrexec-agent[496]: executed user:QUBESRPC qubes.GetImageRGBA dom0 pid 1354
Apr 20 03:50:49 host qrexec-agent[496]: executed user:QUBESRPC qubes.GetImageRGBA dom0 pid 1418
Apr 20 03:50:49 host qrexec-agent[496]: executed user:QUBESRPC qubes.GetImageRGBA dom0 pid 1481
Apr 20 03:50:49 host qrexec-agent[496]: executed user:QUBESRPC qubes.GetImageRGBA dom0 pid 1544
Apr 20 03:50:50 host qrexec-agent[496]: executed user:QUBESRPC qubes.GetImageRGBA dom0 pid 1607
Apr 20 03:50:50 host qrexec-agent[496]: executed user:QUBESRPC qubes.GetImageRGBA dom0 pid 1669
Apr 20 03:50:50 host qrexec-agent[496]: executed user:QUBESRPC qubes.GetImageRGBA dom0 pid 1732
Apr 20 03:50:50 host qrexec-agent[496]: executed user:QUBESRPC qubes.GetImageRGBA dom0 pid 1795
Apr 20 03:50:50 host qrexec-agent[496]: executed user:QUBESRPC qubes.GetImageRGBA dom0 pid 1859
Apr 20 03:50:51 host qrexec-agent[496]: executed user:QUBESRPC qubes.GetImageRGBA dom0 pid 1922
Apr 20 03:50:51 host qrexec-agent[496]: executed user:QUBESRPC qubes.GetImageRGBA dom0 pid 1984
Apr 20 03:50:51 host qrexec-agent[496]: executed user:QUBESRPC qubes.GetImageRGBA dom0 pid 2049
Apr 20 03:50:51 host qrexec-agent[496]: executed user:QUBESRPC qubes.GetImageRGBA dom0 pid 2112
Apr 20 03:50:51 host qrexec-agent[496]: executed user:QUBESRPC qubes.GetImageRGBA dom0 pid 2174
Apr 20 03:50:51 host qrexec-agent[496]: executed user:QUBESRPC qubes.GetImageRGBA dom0 pid 2237
Apr 20 03:50:52 host qrexec-agent[496]: executed user:QUBESRPC qubes.GetImageRGBA dom0 pid 2299
Apr 20 03:50:52 host qrexec-agent[496]: executed user:QUBESRPC qubes.GetImageRGBA dom0 pid 2361
Apr 20 03:50:52 host qrexec-agent[496]: executed user:QUBESRPC qubes.GetImageRGBA dom0 pid 2424
Apr 20 03:50:52 host qrexec-agent[496]: executed user:QUBESRPC qubes.GetImageRGBA dom0 pid 2486
Apr 20 03:50:52 host qrexec-agent[496]: executed user:QUBESRPC qubes.GetImageRGBA dom0 pid 2551
Apr 20 03:50:52 host qrexec-agent[496]: executed user:QUBESRPC qubes.GetImageRGBA dom0 pid 2614
Apr 20 03:50:53 host qrexec-agent[496]: executed user:QUBESRPC qubes.GetImageRGBA dom0 pid 2677
Apr 20 03:50:53 host qrexec-agent[496]: executed user:QUBESRPC qubes.GetImageRGBA dom0 pid 2740
Apr 20 03:50:53 host qrexec-agent[496]: executed user:QUBESRPC qubes.GetImageRGBA dom0 pid 2803
Apr 20 03:50:53 host qrexec-agent[496]: executed user:QUBESRPC qubes.GetImageRGBA dom0 pid 2865
Apr 20 03:50:53 host qrexec-agent[496]: executed user:QUBESRPC qubes.GetImageRGBA dom0 pid 2927
Apr 20 03:50:53 host qrexec-agent[496]: executed user:QUBESRPC qubes.GetImageRGBA dom0 pid 2990
Apr 20 03:50:54 host qrexec-agent[496]: executed user:QUBESRPC qubes.GetImageRGBA dom0 pid 3055
Apr 20 03:50:54 host qrexec-agent[496]: executed user:QUBESRPC qubes.GetImageRGBA dom0 pid 3123
Apr 20 03:50:54 host qrexec-agent[496]: executed user:QUBESRPC qubes.GetImageRGBA dom0 pid 3185
Apr 20 03:50:54 host qrexec-agent[496]: executed user:QUBESRPC qubes.GetImageRGBA dom0 pid 3250
Apr 20 03:50:54 host qrexec-agent[496]: executed user:QUBESRPC qubes.GetImageRGBA dom0 pid 3313
Apr 20 03:50:55 host qrexec-agent[496]: executed user:QUBESRPC qubes.GetImageRGBA dom0 pid 3376
Apr 20 03:50:55 host qrexec-agent[496]: executed user:QUBESRPC qubes.GetImageRGBA dom0 pid 3439
Apr 21 01:18:51 host kernel: [    0.000000] Linux version 4.1.13-9.pvops.qubes.x86_64 (user@release) (gcc version 4.8.3 20140911 (Red Hat 4.8.3-7) (GCC) ) #1 SMP Thu Feb 11 15:46:02 UTC 2016
Apr 21 01:18:51 host kernel: [    2.112275] usb usb1: Manufacturer: Linux 4.1.13-9.pvops.qubes.x86_64 dummy_hcd
Apr 21 01:18:51 host qrexec-agent[530]: executed user:QUBESRPC qubes.SetMonitorLayout dom0 pid 745
Apr 21 01:18:52 host qrexec-agent[530]: executed root:QUBESRPC qubes.WaitForSession none pid 753
Apr 21 01:22:10 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 1018
Apr 21 01:22:10 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 01:28:10 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 1086
Apr 21 01:28:10 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 01:34:10 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 1914
Apr 21 01:34:10 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 01:40:09 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 1966
Apr 21 01:40:09 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 01:46:09 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 4657
Apr 21 01:46:09 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 01:52:09 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 7844
Apr 21 01:52:09 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 01:58:09 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 7898
Apr 21 01:58:09 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 02:04:10 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 7951
Apr 21 02:04:10 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 02:10:10 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 8003
Apr 21 02:10:10 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 02:16:10 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 8057
Apr 21 02:16:10 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 02:22:10 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 8109
Apr 21 02:22:10 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 02:28:09 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 8164
Apr 21 02:28:09 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 02:34:09 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 8217
Apr 21 02:34:09 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 02:40:09 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 8271
Apr 21 02:40:09 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 02:46:09 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 8324
Apr 21 02:46:10 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 02:52:10 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 8376
Apr 21 02:52:10 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 02:58:10 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 8430
Apr 21 02:58:10 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 03:04:09 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 8485
Apr 21 03:04:09 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 03:10:09 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 8539
Apr 21 03:10:09 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 03:16:09 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 8593
Apr 21 03:16:10 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 03:22:09 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 8646
Apr 21 03:22:10 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 03:28:10 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 8699
Apr 21 03:28:10 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 03:34:10 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 8752
Apr 21 03:34:10 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 03:40:10 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 8805
Apr 21 03:40:10 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 03:46:10 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 8858
Apr 21 03:46:10 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 03:52:09 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 8911
Apr 21 03:52:09 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 03:58:09 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 8966
Apr 21 03:58:09 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 04:04:09 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 9019
Apr 21 04:04:09 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 04:10:09 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 9070
Apr 21 04:10:09 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 04:16:09 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 9125
Apr 21 04:16:10 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 04:22:10 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 9177
Apr 21 04:22:10 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 04:28:12 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 9230
Apr 21 04:28:12 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 04:34:10 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 9284
Apr 21 04:34:10 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 04:40:10 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 9337
Apr 21 04:40:10 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 04:46:09 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 9391
Apr 21 04:46:09 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 04:52:09 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 9443
Apr 21 04:52:09 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 04:58:25 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 9498
Apr 21 04:58:25 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 05:04:09 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 9551
Apr 21 05:04:09 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 05:10:09 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 9604
Apr 21 05:10:09 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 05:16:09 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 9658
Apr 21 05:16:09 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 05:22:09 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 9771
Apr 21 05:22:09 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 05:28:09 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 9825
Apr 21 05:28:09 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 05:34:09 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 9878
Apr 21 05:34:10 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 05:40:10 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 9930
Apr 21 05:40:10 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 05:46:10 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 9984
Apr 21 05:46:10 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 05:52:10 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 10037
Apr 21 05:52:10 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 05:58:09 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 10090
Apr 21 05:58:09 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 06:04:09 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 10144
Apr 21 06:04:09 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 06:10:09 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 10197
Apr 21 06:10:09 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 06:16:10 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 10251
Apr 21 06:16:10 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 06:22:10 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 10303
Apr 21 06:22:10 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 06:28:10 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 10356
Apr 21 06:28:10 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 06:34:10 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 10410
Apr 21 06:34:10 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 06:40:09 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 10463
Apr 21 06:40:09 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 06:46:09 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 10517
Apr 21 06:46:09 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 06:52:11 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 10569
Apr 21 06:52:11 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 06:58:09 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 10622
Apr 21 06:58:09 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 07:04:10 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 10676
Apr 21 07:04:10 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 07:10:10 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 10729
Apr 21 07:10:10 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 07:16:10 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 10783
Apr 21 07:16:11 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 07:22:10 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 10836
Apr 21 07:22:10 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 07:28:10 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 10889
Apr 21 07:28:10 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 07:34:10 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 10943
Apr 21 07:34:10 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 07:40:09 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 10995
Apr 21 07:40:09 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 07:46:09 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 11050
Apr 21 07:46:09 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 07:52:09 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 11103
Apr 21 07:52:09 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 07:58:09 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 11157
Apr 21 07:58:10 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 08:04:10 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 11212
Apr 21 08:04:10 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 08:10:09 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 11265
Apr 21 08:10:09 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 08:16:14 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 11320
Apr 21 08:16:14 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 08:22:09 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 11372
Apr 21 08:22:09 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 08:28:09 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 11427
Apr 21 08:28:10 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 08:34:10 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 11480
Apr 21 08:34:10 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 08:40:10 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 11532
Apr 21 08:40:10 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 08:46:10 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 11586
Apr 21 08:46:10 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 08:52:10 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 11639
Apr 21 08:52:10 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 08:58:09 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 11692
Apr 21 08:58:09 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 09:04:10 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 11747
Apr 21 09:04:10 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 09:10:11 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 11800
Apr 21 09:10:11 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 09:16:10 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 11853
Apr 21 09:16:10 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 09:22:10 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 11906
Apr 21 09:22:10 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 09:28:10 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 11960
Apr 21 09:28:10 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 09:34:10 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 12014
Apr 21 09:34:10 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 09:40:09 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 12066
Apr 21 09:40:09 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 09:46:09 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 12120
Apr 21 09:46:09 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 09:52:09 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 12172
Apr 21 09:52:09 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 09:58:09 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 12225
Apr 21 09:58:09 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 10:04:09 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 12281
Apr 21 10:04:09 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 10:10:09 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 12334
Apr 21 10:10:10 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 10:16:10 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 12388
Apr 21 10:16:10 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 10:22:09 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 12441
Apr 21 10:22:09 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 10:28:09 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 12495
Apr 21 10:28:09 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 10:34:11 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 12548
Apr 21 10:34:12 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 10:40:10 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 12602
Apr 21 10:40:10 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 10:46:10 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 12654
Apr 21 10:46:10 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 10:52:10 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 12707
Apr 21 10:52:10 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 10:58:10 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 12760
Apr 21 10:58:10 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 11:04:10 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 12814
Apr 21 11:04:10 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 11:10:09 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 12867
Apr 21 11:10:09 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 11:16:09 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 12920
Apr 21 11:16:09 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 11:22:09 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 12973
Apr 21 11:22:09 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 11:28:09 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 13026
Apr 21 11:28:10 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 11:34:10 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 13079
Apr 21 11:34:10 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 11:40:12 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 13131
Apr 21 11:40:12 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 11:46:10 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 13186
Apr 21 11:46:10 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 11:52:10 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 13240
Apr 21 11:52:10 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 11:58:11 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 13294
Apr 21 11:58:11 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 12:04:09 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 13348
Apr 21 12:04:09 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 12:10:09 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 13400
Apr 21 12:10:09 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 12:16:09 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 13454
Apr 21 12:16:10 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 12:22:10 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 13507
Apr 21 12:22:10 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 12:28:10 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 13562
Apr 21 12:28:10 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 12:34:10 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 13616
Apr 21 12:34:10 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 12:40:10 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 13669
Apr 21 12:40:10 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 12:46:09 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 13723
Apr 21 12:46:09 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 12:52:09 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 13775
Apr 21 12:52:09 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 12:58:09 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 13829
Apr 21 12:58:09 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 13:04:09 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 13884
Apr 21 13:04:10 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 13:10:10 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 13936
Apr 21 13:10:10 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 13:16:11 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 13988
Apr 21 13:16:11 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 13:22:09 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 14041
Apr 21 13:22:09 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 13:28:09 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 14095
Apr 21 13:28:09 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 13:34:09 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 14149
Apr 21 13:34:10 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 13:40:10 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 14203
Apr 21 13:40:10 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 13:46:10 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 14256
Apr 21 13:46:10 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 13:52:09 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 14308
Apr 21 13:52:09 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 13:58:09 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 14363
Apr 21 13:58:09 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 14:04:09 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 14488
Apr 21 14:04:10 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 14:10:09 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 14540
Apr 21 14:10:10 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 14:16:10 host qrexec-agent[530]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 14594
Apr 21 14:16:10 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 16:11:01 host kernel: [    0.000000] Linux version 4.1.13-9.pvops.qubes.x86_64 (user@release) (gcc version 4.8.3 20140911 (Red Hat 4.8.3-7) (GCC) ) #1 SMP Thu Feb 11 15:46:02 UTC 2016
Apr 21 16:11:01 host kernel: [    2.270600] usb usb1: Manufacturer: Linux 4.1.13-9.pvops.qubes.x86_64 dummy_hcd
Apr 21 16:11:02 host qrexec-agent[539]: executed user:QUBESRPC qubes.SetMonitorLayout dom0 pid 779
Apr 21 16:11:02 host qrexec-agent[539]: executed root:QUBESRPC qubes.WaitForSession none pid 780
Apr 21 16:14:22 host qrexec-agent[539]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 4434
Apr 21 16:14:22 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 16:20:22 host qrexec-agent[539]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 8909
Apr 21 16:20:22 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 16:26:22 host qrexec-agent[539]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 11445
Apr 21 16:26:22 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 16:32:22 host qrexec-agent[539]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 11497
Apr 21 16:32:22 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 16:38:21 host qrexec-agent[539]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 11552
Apr 21 16:38:21 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 16:44:21 host qrexec-agent[539]: executed root:QUBESRPC qubes.SetDateTime dom0 pid 12309
Apr 21 16:44:22 host qubes.SetDateTime-dom0: We do not want dom0 to tell us the time.
Apr 21 17:42:51 host kernel: [    0.000000] Linux version 4.1.13-9.pvops.qubes.x86_64 (user@release) (gcc version 4.8.3 20140911 (Red Hat 4.8.3-7) (GCC) ) #1 SMP Thu Feb 11 15:46:02 UTC 2016
Apr 21 17:42:51 host kernel: [    1.850229] usb usb1: Manufacturer: Linux 4.1.13-9.pvops.qubes.x86_64 dummy_hcd
Apr 21 17:42:52 host qrexec-agent[533]: executed user:QUBESRPC qubes.SetMonitorLayout dom0 pid 968
Apr 21 17:42:52 host qrexec-agent[533]: executed root:QUBESRPC qubes.WaitForSession none pid 1015
Apr 21 17:46:16 host kernel: [    0.000000] Linux version 4.1.13-9.pvops.qubes.x86_64 (user@release) (gcc version 4.8.3 20140911 (Red Hat 4.8.3-7) (GCC) ) #1 SMP Thu Feb 11 15:46:02 UTC 2016
Apr 21 17:46:16 host kernel: [    1.850871] usb usb1: Manufacturer: Linux 4.1.13-9.pvops.qubes.x86_64 dummy_hcd
Apr 21 17:46:18 host qrexec-agent[559]: executed user:QUBESRPC qubes.SetMonitorLayout dom0 pid 1378
Apr 21 17:46:18 host qrexec-agent[559]: executed root:QUBESRPC qubes.WaitForSession none pid 1396
Patrick closed this task as Resolved.Apr 26 2016, 5:15 PM